Skip to main content
GET
/
v1
/
interest
/
activity
Interest Account Activity Request
curl --request GET \
  --url https://sandbox.gateway.sezzle.com/v1/interest/activity \
  --header 'Authorization: <api-key>'
import requests

url = "https://sandbox.gateway.sezzle.com/v1/interest/activity"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://sandbox.gateway.sezzle.com/v1/interest/activity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


"type,event_date,interest_account_change_amount,interest_account_balance_after_change INTEREST_PAYOUT,2019-12-21T19:10:00Z,122.8718,5101.4676 INTEREST_WITHDRAWAL,2019-12-21T19:20:00Z,-26.1000,5075.3676 INTEREST_ACCRUAL,2019-12-21T19:15:00Z,1.0702,5182.3922 INTEREST_ACCRUAL,2019-12-22T19:15:00Z,1.0702,5183.4624\n"
{
"status": 400,
"id": "bad_request",
"message": "bad request"
}
{
"status": 401,
"id": "unauthorized",
"message": "authorization not accepted"
}
{
"status": 404,
"id": "record_not_found",
"message": "not found"
}
{
"status": 422,
"id": "invalid",
"message": "Unprocessable entity"
}
You are viewing Version 1 of the Sezzle API. Check out the current version!

Authorizations

Authorization
string
header
required

The authentication token generated from providing API Keys to Sezzle Gateway

Query Parameters

start-date
string<yyyy-mm-dd>
required

The start date for the report. Must be in yyyy-mm-dd format.

end-date
string<yyyy-mm-dd>

The end date for the report. Must be in yyyy-mm-dd format. If omitted, will default to the current date.

offset
integer<int32>

Number of records to skip. Each response returns up to 20 records, so use 0 for the first 20, 20 for the next 20, and so on. Defaults to 0.

currency-code
string

The ISO-4217 currency code of the interest account. If omitted, will default to USD.

Response

Successful Operation

The response is of type string.